Update Coupon
curl --request PUT \
--url https://api.example.com/wp-json/latepoint-api/v1/coupons/{code} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"status": "<string>",
"active_from": "<string>",
"active_to": "<string>",
"usage_limit": 123,
"min_order_amount": 123,
"max_discount_amount": 123
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/coupons/{code}"
payload = {
"name": "<string>",
"description": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"status": "<string>",
"active_from": "<string>",
"active_to": "<string>",
"usage_limit": 123,
"min_order_amount": 123,
"max_discount_amount": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
discount_type: '<string>',
discount_value: 123,
status: '<string>',
active_from: '<string>',
active_to: '<string>',
usage_limit: 123,
min_order_amount: 123,
max_discount_amount: 123
})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/coupons/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Coupons
Update Coupon
Update an existing coupon.
PUT
/
wp-json
/
latepoint-api
/
v1
/
coupons
/
{code}
Update Coupon
Path Parameters
string
required
The unique code of the coupon to update
Request Body Parameters
All parameters are optional. Only provided fields will be updated.string
Display name for the coupon
string
Description of the coupon
string
Type of discount. Available values:
percent, fixed_amountnumber
Discount value (percentage or fixed amount)
string
Coupon status. Available values:
active, inactivestring
Start date for coupon validity (YYYY-MM-DD format)
string
End date for coupon validity (YYYY-MM-DD format)
integer
Maximum number of uses (0 = unlimited)
number
Minimum order amount required to use coupon
number
Maximum discount amount (for percentage discounts)
Example Request
PUT /wp-json/latepoint-api/v1/coupons/TEST2025
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
{
"name": "Updated Test Coupon 2025",
"description": "Updated test coupon for API testing",
"discount_value": 20,
"usage_limit": 100,
"min_order_amount": 50
}
Response
{
"success": true,
"message": "Coupon updated successfully",
"data": {
"id": "7",
"code": "TEST2025",
"name": "Updated Test Coupon 2025",
"description": "Updated test coupon for API testing",
"discount_type": "percent",
"discount_value": 20,
"status": "active",
"active_from": "0000-00-00",
"active_to": "0000-00-00",
"usage_limit": 100,
"min_order_amount": 50,
"max_discount_amount": null,
"created_at": "2025-08-21 11:07:00",
"updated_at": "2025-08-21 11:07:09"
}
}
⌘I
